<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="vip.xiaonuo.biz.modular.bizvideo.mapper.BizVideoMapper">

    <select id="getPageList" resultType="vip.xiaonuo.biz.modular.bizvideo.entity.BizVideo">
        select
            ba.area_name,
            bv.id,
            bv.video_name,
            bv.serial,
            bv.channel_no,
            bv.create_time,
            bv.video_area
        from biz_video bv
        left join biz_area ba on ba.id = bv.video_area
        ${ew.customSqlSegment}
    </select>

    <select id="queryPageList" resultType="vip.xiaonuo.biz.modular.bizvideo.entity.BizVideo">
        select
            bv.id,
            bv.video_name,
            bv.video_area,
            bv.serial,
            bv.channel_no,
            ba.area_name
        from biz_user_video buv
        left join biz_video bv on bv.id = buv.video_id
        left join biz_area ba on ba.id = bv.video_area
        ${ew.customSqlSegment}
    </select>
</mapper>
